Loading...
Searching...
No Matches
mod_authz_svn.h File Reference

Subversion authorization extensions for mod_dav_svn. More...

`#include <httpd.h>`

Go to the source code of this file.

## Macros

#define | AUTHZ_SVN__SUBREQ_BYPASS_PROV_GRP "dav2authz_subreq_bypass"
| Provider group for subrequest bypass.
#define | AUTHZ_SVN__SUBREQ_BYPASS_PROV_NAME "mod_authz_svn_subreq_bypass"
| Provider name for subrequest bypass.
#define | AUTHZ_SVN__SUBREQ_BYPASS_PROV_VER "00.00a"
| Provider version for subrequest bypass.

## Typedefs

typedef int(* | authz_svn__subreq_bypass_func_t) (request_rec *r, const char *repos_path, const char *repos_name)
| Provider to allow mod_dav_svn to bypass the generation of an apache request when checking GET access from "mod_dav_svn/auth.c".

## Detailed Description

Subversion authorization extensions for mod_dav_svn.

# autotoc_md0

Definition in file mod_authz_svn.h.

## Macro Definition Documentation

## AUTHZ_SVN__SUBREQ_BYPASS_PROV_GRP

#define AUTHZ_SVN__SUBREQ_BYPASS_PROV_GRP "dav2authz_subreq_bypass"

Provider group for subrequest bypass.

Definition at line 40 of file mod_authz_svn.h.

## AUTHZ_SVN__SUBREQ_BYPASS_PROV_NAME

#define AUTHZ_SVN__SUBREQ_BYPASS_PROV_NAME "mod_authz_svn_subreq_bypass"

Provider name for subrequest bypass.

Definition at line 42 of file mod_authz_svn.h.

## AUTHZ_SVN__SUBREQ_BYPASS_PROV_VER

#define AUTHZ_SVN__SUBREQ_BYPASS_PROV_VER "00.00a"

Provider version for subrequest bypass.

Definition at line 44 of file mod_authz_svn.h.

## Typedef Documentation

## authz_svn__subreq_bypass_func_t

typedef int(* authz_svn__subreq_bypass_func_t) (request_rec *r, const char *repos_path, const char *repos_name)

Provider to allow mod_dav_svn to bypass the generation of an apache request when checking GET access from "mod_dav_svn/auth.c".

Uses r repos_path and repos_name to determine if the user making the request is authorized.

If the access is allowed returns `OK` or `HTTP_FORBIDDEN` if it is not.

Definition at line 53 of file mod_authz_svn.h.